import fs from 'fs'
import { ServiceCore } from 'service-core'
import * as index from './index.mjs'

var core = new ServiceCore('nfp_moe', import.meta.url, 4030, '')

let config = {
  frontend: {
    url: 'http://localhost:4030'
  }
}

try {
  config = JSON.parse(fs.readFileSync('./config.json'))
} catch {}

config.port = 4030

core.setConfig(config)
core.init(index).then(function() {
  return core.run()
})